Intercomm
Date: 2011-01-14

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class Intercomm

    java.lang.Object
      mpi.Comm
          mpi.Intercomm

    public class Intercomm

extends Comm

Field Summary

Fields inherited from class mpi.Comm
`group, mpjdevComm`

Method Summary
`java.lang.Object` | `clone()` where would peer communicator come from ...and also localleader, and remoteleader ....
`Intracomm` | `Merge(boolean high)` Create an inter-communicator.
`Group` | `Remote_group()` Return the remote group.
`int` | `Remote_size()` Size of remote group.

Methods inherited from class mpi.Comm
`Abort, Attr_delete, Attr_get, Bsend_init, Bsend, bsend, Compare, Create_intercomm, Free, Group, Ibsend, ibsend, Iprobe, Irecv, irecv, Irsend, irsend, Isend, isend, Issend, issend, Pack_size, Pack, Probe, Rank, Recv_init, Recv, recv, Rsend_init, Rsend, rsend, Send_init, Send, send, Sendrecv_replace, sendrecv, Sendrecv, Size, Ssend_init, Ssend, ssend, Test_inter, Topo_test, Unpack`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Remote_size

    public int Remote_size()
                    throws MPIException

  Size of remote group.

  returns: | number of process in remote group of this communicator

  Java binding of the MPI operation `MPI_COMM_REMOTE_SIZE`.

  Throws:
    `MPIException`

### Remote_group

    public Group Remote_group()
                       throws MPIException

  Return the remote group.

  returns: | remote group of this communicator

  Java binding of the MPI operation `MPI_COMM_REMOTE_GROUP`.

  Throws:
    `MPIException`

### Merge

    public Intracomm Merge(boolean high)
                    throws MPIException

  Create an inter-communicator.

  `high` | true if the local group has higher ranks in combined group
  returns: | new intra-communicator

  Java binding of the MPI operation `MPI_INTERCOMM_MERGE`.

  Throws:
    `MPIException`

### clone

    public java.lang.Object clone()
                           throws MPIException

  where would peer communicator come from ...and also localleader, and remoteleader ....

  Overrides:
    `clone` in class `Comm`
  Throws:
    `MPIException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD